/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks include file
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this include file. It is generated from DrBase repository.
 *
 *  Built on: 2021-04-26 10:41:19Z
 *****************************************************************************/

#ifndef __RSETL_ATTRIBUTES_HEADER
#define __RSETL_ATTRIBUTES_HEADER

#include "rscore.h"

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/*****************************************************************************
 *- Read Callbacks ----------------------------------------------------------*
 *****************************************************************************/
ViStatus rsetl_stringToBin_ReadCallback (ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsetl_quotedString_ReadCallback (ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsetl_quotedInt_ReadCallback (ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsetl_dashReal_ReadCallback (ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsetl_dashInt_ReadCallback (ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsetl_hex_ReadCallback (ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsetl_dashBoolean_ReadCallback (ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsetl_bin_ReadCallback (ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);

/*****************************************************************************
 *- Write Callbacks ---------------------------------------------------------*
 *****************************************************************************/
ViStatus rsetl_stringToBin_WriteCallback (ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsetl_quotedString_WriteCallback (ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsetl_quotedInt_WriteCallback (ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsetl_FileStateSpecialFormat_WriteCallback (ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreRangeTableDiscrete rsetl_rngUnits;
extern RsCoreRangeTableDiscrete rsetl_rngTraceMode;
extern RsCoreRangeTableDiscrete rsetl_rngAmplitudeUnitsRangeTable;
extern RsCoreRangeTableDiscrete rsetl_rngAbsRel;
extern RsCoreRangeTableDiscrete rsetl_rngESPMode;
extern RsCoreRangeTableDiscrete rsetl_rngDetectorTypeRangeTable;
extern RsCoreRangeTableDiscrete rsetl_rngDISPConfPreDefColour;
extern RsCoreRangeTableDiscrete rsetl_rngHcopyDeviceLang;
extern RsCoreRangeTableDiscrete rsetl_rngHcopyDeviceOrient;
extern RsCoreRangeTableDiscrete rsetl_rngDomain;
extern RsCoreRangeTableDiscrete rsetl_rngLinLog;
extern RsCoreRangeTableDiscrete rsetl_rngServiceInput;
extern RsCoreRangeTableDiscrete rsetl_rngAvgType;
extern RsCoreRangeTableDiscrete rsetl_rngDISPSizeWindow;
extern RsCoreRangeTableDiscrete rsetl_rngMarkerPeakListSort;
extern RsCoreRangeTableDiscrete rsetl_rngMarkerDemodType;
extern RsCoreRangeTableDiscrete rsetl_rngMeasPowerSelect;
extern RsCoreRangeTableDiscrete rsetl_rngMeasPowerStandard;
extern RsCoreRangeTableDiscrete rsetl_rngMeasPowerMode;
extern RsCoreRangeTableDiscrete rsetl_rngBandFiltType;
extern RsCoreRangeTableDiscrete rsetl_rngTFacUnit;
extern RsCoreRangeTableDiscrete rsetl_rngFreqCentLink;
extern RsCoreRangeTableDiscrete rsetl_rngFreqMode;
extern RsCoreRangeTableDiscrete rsetl_rngOffOnAuto;
extern RsCoreRangeTableDiscrete rsetl_rngExtMixerHarmonicType;
extern RsCoreRangeTableDiscrete rsetl_rngExtMixerHarmBand;
extern RsCoreRangeTableDiscrete rsetl_rngAdjChAutoSel;
extern RsCoreRangeTableDiscrete rsetl_rngAdjPreset;
extern RsCoreRangeTableDiscrete rsetl_rngSourceIntExt;
extern RsCoreRangeTableDiscrete rsetl_rngExtGateTrigType;
extern RsCoreRangeTableDiscrete rsetl_rngHcopyDevice;
extern RsCoreRangeTableDiscrete rsetl_rngPolarity;
extern RsCoreRangeTableDiscrete rsetl_rngExtGateSource;
extern RsCoreRangeTableDiscrete rsetl_rngSweepContMode;
extern RsCoreRangeTableDiscrete rsetl_rngTriggerSource;
extern RsCoreRangeTableDiscrete rsetl_rngFileDecSeparator;
extern RsCoreRangeTableRanged rsetl_rngCalibration;
extern RsCoreRangeTableDiscrete rsetl_rngMarkerStepSize;
extern RsCoreRangeTableDiscrete rsetl_rngMpowFiltType;
extern RsCoreRangeTableRanged rsetl_rngPct;
extern RsCoreRangeTableRanged rsetl_rngRefLevelOffset;
extern RsCoreRangeTableRanged rsetl_rngAdemBandRes;
extern RsCoreRangeTableRanged rsetl_rngRefLevel;
extern RsCoreRangeTableRanged rsetl_rngVBW;
extern RsCoreRangeTableRanged rsetl_rngFreqOffset;
extern RsCoreRangeTableRanged rsetl_rngSweepCount;
extern RsCoreRangeTableRanged rsetl_rngDISPConfPowSave;
extern RsCoreRangeTableRanged rsetl_rngTrace;
extern RsCoreRangeTableRanged rsetl_rngExtGateDelay;
extern RsCoreRangeTableRanged rsetl_rngLimits;
extern RsCoreRangeTableRanged rsetl_rngLimitOffset;
extern RsCoreRangeTableRanged rsetl_rngLimitMargin;
extern RsCoreRangeTableRanged rsetl_rngDISPAmplitudeRang;
extern RsCoreRangeTableRanged rsetl_rngIQSRate;
extern RsCoreRangeTableRanged rsetl_rngSwePoints;
extern RsCoreRangeTableRanged rsetl_rngBandRatio;
extern RsCoreRangeTableRanged rsetl_rngMarkerPeakListCount;
extern RsCoreRangeTableRanged rsetl_rngMarkerNdBDown;
extern RsCoreRangeTableRanged rsetl_rngMarkerDemodHoldoff;
extern RsCoreRangeTableRanged rsetl_rngStatNumSamples;
extern RsCoreRangeTableRanged rsetl_rngMeasStatUpperLimit;
extern RsCoreRangeTableRanged rsetl_rngMeasStatLowerLimit;
extern RsCoreRangeTableRanged rsetl_rngMeasHDISTNharm;
extern RsCoreRangeTableRanged rsetl_rngSweepTime;
extern RsCoreRangeTableRanged rsetl_rngSignalTrackThreshold;
extern RsCoreRangeTableRanged rsetl_rngTraceMathPosition;
extern RsCoreRangeTableRanged rsetl_rngTimeLinePos;
extern RsCoreRangeTableRanged rsetl_rngRBW;
extern RsCoreRangeTableRanged rsetl_rngVbwRatio;
extern RsCoreRangeTableRanged rsetl_rngAvgCount;
extern RsCoreRangeTableRanged rsetl_rngExtMixerPorts;
extern RsCoreRangeTableRanged rsetl_rngExtMixerHarmonic;
extern RsCoreRangeTableRanged rsetl_rngExtMixerTreshold;
extern RsCoreRangeTableRanged rsetl_rngChannelSpacing;
extern RsCoreRangeTableRanged rsetl_rngCarrSignNum;
extern RsCoreRangeTableRanged rsetl_rngAdjChNum;
extern RsCoreRangeTableRanged rsetl_rngChannelBandwidth;
extern RsCoreRangeTableRanged rsetl_rngAdjRefTxChann;
extern RsCoreRangeTableRanged rsetl_rngPowPct;
extern RsCoreRangeTableRanged rsetl_rngExtGateLength;
extern RsCoreRangeTableRanged rsetl_rngTrigIFPowerLevel;
extern RsCoreRangeTableRanged rsetl_rngTriggerDelay;
extern RsCoreRangeTableRanged rsetl_rngSpeakerVolume;
extern RsCoreRangeTableRanged rsetl_rngLinkFactor;
extern RsCoreRangeTableRanged rsetl_rngBias;
extern RsCoreRangeTableRanged rsetl_rngSEListRangeLimit;
extern RsCoreRangeTableRanged rsetl_rngIFPowOffset;
extern RsCoreRangeTableRanged rsetl_rngIFPowHyst;
extern RsCoreRangeTableRanged rsetl_rngTriggerTimeInterval;
extern RsCoreRangeTableCoerced rsetl_rngAttenuationRangeTable;
extern RsCoreRangeTableCoerced rsetl_rngInputImpedance;
extern RsCoreRangeTableCoerced rsetl_rngInpAmptEattMan;
extern RsCoreRangeTableCoerced rsetl_rngFreqCountRes;
extern RsCoreRangeTableCoerced rsetl_rngExtMixerLoPower;
extern RsCoreRangeTableCoerced rsetl_rngPmetAverCount;
extern RsCoreRangeTableDiscrete rsetl_rngServiceCombFrequency;
extern RsCoreRangeTableDiscrete rsetl_rngTraceSpacing;
extern RsCoreRangeTableDiscrete rsetl_rngHcopyPageSettings;
extern RsCoreRangeTableDiscrete rsetl_rngInstrMode;
extern RsCoreRangeTableDiscrete rsetl_rngTGenMeasType;
extern RsCoreRangeTableDiscrete rsetl_rngTGenResultType;
extern RsCoreRangeTableDiscrete rsetl_rngFmTriggerSource;
extern RsCoreRangeTableRanged rsetl_rngAdemTrigAMLevelAbs;
extern RsCoreRangeTableRanged rsetl_rngAdemTrigAMLevelRel;
extern RsCoreRangeTableRanged rsetl_rngAdemTrigFMLevel;
extern RsCoreRangeTableRanged rsetl_rngAdemTrigPMLevel;
extern RsCoreRangeTableDiscrete rsetl_rngCoupling;
extern RsCoreRangeTableRanged rsetl_rngFmBwid;
extern RsCoreRangeTableDiscrete rsetl_rngAdemPhaseWrap;
extern RsCoreRangeTableDiscrete rsetl_rngUnitAngle;
extern RsCoreRangeTableCoerced rsetl_rngHpasFilterFreq;
extern RsCoreRangeTableCoerced rsetl_rngLpasFiltFreq;
extern RsCoreRangeTableCoerced rsetl_rngFiltDempTimeConst;
extern RsCoreRangeTableCoerced rsetl_rngFiltDempPctConst;
extern RsCoreRangeTableDiscrete rsetl_rngPmetMeasTime;
extern RsCoreRangeTableDiscrete rsetl_rngPmetCoupling;
extern RsCoreRangeTableDiscrete rsetl_rngPmetUnitAbs;
extern RsCoreRangeTableDiscrete rsetl_rngPmetUnitRel;
extern RsCoreRangeTableRanged rsetl_rngCatvEpattZoom;
extern RsCoreRangeTableDiscrete rsetl_rngCatvMerrZoom;
extern RsCoreRangeTableDiscrete rsetl_rngCatvOverZoom;
extern RsCoreRangeTableDiscrete rsetl_rngCatvConstDiagZoom;
extern RsCoreRangeTableRanged rsetl_rngCatvRFFreq;
extern RsCoreRangeTableDiscrete rsetl_rngCatvSBand;
extern RsCoreRangeTableDiscrete rsetl_rngCatvModStandGroupDelay;
extern RsCoreRangeTableDiscrete rsetl_rngCatvModStandSignalType;
extern RsCoreRangeTableDiscrete rsetl_rngCatvAtvMeas;
extern RsCoreRangeTableDiscrete rsetl_rngCatvAtvCarrMeas;
extern RsCoreRangeTableDiscrete rsetl_rngCatvAtvCarrMeasMode;
extern RsCoreRangeTableRanged rsetl_rngCatvAtvBw;
extern RsCoreRangeTableRanged rsetl_rngCatvRelPower;
extern RsCoreRangeTableDiscrete rsetl_rngCatvAtvRefPowerMode;
extern RsCoreRangeTableDiscrete rsetl_rngUnitDbPct;
extern RsCoreRangeTableDiscrete rsetl_rngCatvPowerUnits;
extern RsCoreRangeTableDiscrete rsetl_rngCatvAtvStandard;
extern RsCoreRangeTableDiscrete rsetl_rngCatvAtvSoundSystem;
extern RsCoreRangeTableDiscrete rsetl_rngCatvAtvColorSystem;
extern RsCoreRangeTableRanged rsetl_rngCatvAtvTriggField;
extern RsCoreRangeTableDiscrete rsetl_rngCatvAtvTriggBarLineType;
extern RsCoreRangeTableRanged rsetl_rngCatvFreqOffset;
extern RsCoreRangeTableRanged rsetl_rngCatvAbsPower;
extern RsCoreRangeTableRanged rsetl_rngCatvHumLimitLower;
extern RsCoreRangeTableRanged rsetl_rngCatvHumLimitUpper;
extern RsCoreRangeTableDiscrete rsetl_rngCatvResults;
extern RsCoreRangeTableDiscrete rsetl_rngCatvDtvMeas;
extern RsCoreRangeTableDiscrete rsetl_rngUnitSecMin;
extern RsCoreRangeTableRanged rsetl_rngCatvDtvEPattVelocity;
extern RsCoreRangeTableDiscrete rsetl_rngCatvDtvFilterAlpha;
extern RsCoreRangeTableDiscrete rsetl_rngCatvDtvStandard;
extern RsCoreRangeTableDiscrete rsetl_rngCatvDtvFormat;
extern RsCoreRangeTableRanged rsetl_rngCatvCarrSuppression;
extern RsCoreRangeTableRanged rsetl_rngCatvErrLimitLower;
extern RsCoreRangeTableRanged rsetl_rngCatvErrLimitUpper;
extern RsCoreRangeTableRanged rsetl_rngCatvImbLimit;
extern RsCoreRangeTableRanged rsetl_rngCatvPhaseJitterLimit;
extern RsCoreRangeTableRanged rsetl_rngCatvQuadratureErrLimit;
extern RsCoreRangeTableRanged rsetl_rngCatvSymbRateLimit;
extern RsCoreRangeTableDiscrete rsetl_rngCatvTvMeas;
extern RsCoreRangeTableDiscrete rsetl_rngCatvDtvBERSamples;
extern RsCoreRangeTableRanged rsetl_rngCatvDtvIQSamples;
extern RsCoreRangeTableRanged rsetl_rngCatvDtvSNRLimit;
extern RsCoreRangeTableRanged rsetl_rngCatvBROFLimit;
extern RsCoreRangeTableRanged rsetl_rngCatvLevelLimit;
extern RsCoreRangeTableRanged rsetl_rngCatvPERRLimit;
extern RsCoreRangeTableDiscrete rsetl_rngPowLevUnits;
extern RsCoreRangeTableDiscrete rsetl_rngDispChanImpulseResponse;
extern RsCoreRangeTableDiscrete rsetl_rngCatvVisionMod;
extern RsCoreRangeTableDiscrete rsetl_rngCatvDtvCodeRate;
extern RsCoreRangeTableDiscrete rsetl_rngCatvDtvCodeRatePriority;
extern RsCoreRangeTableDiscrete rsetl_rngCatvDtvEqualStepSize;
extern RsCoreRangeTableDiscrete rsetl_rngCatvDtvEqualStepSizeShrink;
extern RsCoreRangeTableDiscrete rsetl_rngCatvDtvFECSync;
extern RsCoreRangeTableDiscrete rsetl_rngCatvDtvFFTMode;
extern RsCoreRangeTableDiscrete rsetl_rngCatvDtvGInterval;
extern RsCoreRangeTableDiscrete rsetl_rngCatvDtvInterleaver;
extern RsCoreRangeTableDiscrete rsetl_rngCatvDtvLDPCMode;
extern RsCoreRangeTableDiscrete rsetl_rngCatvDtvLoops;
extern RsCoreRangeTableDiscrete rsetl_rngCatvDtvCarrierModulation;
extern RsCoreRangeTableDiscrete rsetl_rngCatvDtvSystOpt;
extern RsCoreRangeTableCoerced rsetl_rngCatvDtvTimeDeinterleaver;
extern RsCoreRangeTableDiscrete rsetl_rngCatvDtvTSOutput;
extern RsCoreRangeTableDiscrete rsetl_rngCatvSound;
extern RsCoreRangeTableRanged rsetl_rngCatvDispCenterPos;
extern RsCoreRangeTableRanged rsetl_rngCatvDivision;
extern RsCoreRangeTableDiscrete rsetl_rngCatvDtvIQSource;
extern RsCoreRangeTableRanged rsetl_rngCatvDtvNoiseGenCN;
extern RsCoreRangeTableDiscrete rsetl_rngCatvTriggerSource;
extern RsCoreRangeTableDiscrete rsetl_rngOutputMeasMode;
extern RsCoreRangeTableDiscrete rsetl_rngTLinLog;
extern RsCoreRangeTableDiscrete rsetl_rngTrgTVerticalSync;
extern RsCoreRangeTableCoerced rsetl_rngTrgTVLineSystem;
extern RsCoreRangeTableRanged rsetl_rngTrgTVHorizontalSyncLine;
extern RsCoreRangeTableDiscrete rsetl_rngTrgTVPolarity;
extern RsCoreRangeTableDiscrete rsetl_rngCatvDtvMLogMode;
extern RsCoreRangeTableDiscrete rsetl_rngCatvDtvMLogSpan;
extern RsCoreRangeTableRanged rsetl_rngCatvAudioVolume;
extern RsCoreRangeTableDiscrete rsetl_rngCatvDtvTimeRangeMode;
extern RsCoreRangeTableDiscrete rsetl_rngCatvDtvChanBwid;
extern RsCoreRangeTableDiscrete rsetl_rngCatvDtvChanBwidDMBT;
extern RsCoreRangeTableRanged rsetl_rngCatvVModLFOF;
extern RsCoreRangeTableRanged rsetl_rngCatvVMELimit;
extern RsCoreRangeTableCoerced rsetl_rngCatvAverDepth;
extern RsCoreRangeTableRanged rsetl_rngCatvBVFLimit;
extern RsCoreRangeTableRanged rsetl_rngCatvCNRLimit;
extern RsCoreRangeTableDiscrete rsetl_rngCatvAttMode;
extern RsCoreRangeTableDiscrete rsetl_rngCatvPNSequence;
extern RsCoreRangeTableDiscrete rsetl_rngCatvDtvFICSync;
extern RsCoreRangeTableDiscrete rsetl_rngCatvDtvMPGSync;
extern RsCoreRangeTableDiscrete rsetl_rngCatvDtvEquMode;
extern RsCoreRangeTableDiscrete rsetl_rngCatvDtvNotchBW;
extern RsCoreRangeTableRanged rsetl_rngCatvDtvNFilterFreq;
extern RsCoreRangeTableRanged rsetl_rngCatvDtvTransMode;
extern RsCoreRangeTableRanged rsetl_rngCatvDtvFirstCapacityUnit;
extern RsCoreRangeTableDiscrete rsetl_rngCatvDtvProtLevel;
extern RsCoreRangeTableRanged rsetl_rngCatvResCarr;
extern RsCoreRangeTableDiscrete rsetl_rngCatvSoundMode;
extern RsCoreRangeTableDiscrete rsetl_rngCatvVideoClamp;
extern RsCoreRangeTableDiscrete rsetl_rngCatvVideoGenIFOut;
extern RsCoreRangeTableDiscrete rsetl_rngCatvVideoTestPattern;
extern RsCoreRangeTableDiscrete rsetl_rngCatvTestSignal;
extern RsCoreRangeTableDiscrete rsetl_rngSystemPower;
extern RsCoreRangeTableRanged rsetl_rngCatvPilotLimit;
extern RsCoreRangeTableRanged rsetl_rngCatvSignalPilotLimit;
extern RsCoreRangeTableRanged rsetl_rngCatvPilotAmplErrLimit;
extern RsCoreRangeTableDiscrete rsetl_rngDispWindowMode;
extern RsCoreRangeTableDiscrete rsetl_rngCATVMeasMode;
extern RsCoreRangeTableDiscrete rsetl_rngCATVWavParam;
extern RsCoreRangeTableRanged rsetl_rngCATVWavLoc;
extern RsCoreRangeTableRanged rsetl_rngCATVOOBETranPowerRange;
extern RsCoreRangeTableDiscrete rsetl_rngCATVOOBEMaskType;
extern RsCoreRangeTableDiscrete rsetl_rngCATVOOBECountry;
extern RsCoreRangeTableDiscrete rsetl_rngCATVEyeDiagramTimeSpan;
extern RsCoreRangeTableDiscrete rsetl_rngCATVISDBTConstSelect;
extern RsCoreRangeTableDiscrete rsetl_rngCATVISDBTXAxisUnit;
extern RsCoreRangeTableDiscrete rsetl_rngCATVISDBTCodeRate;
extern RsCoreRangeTableCoerced rsetl_rngCATVISDBTTimeDeinterleaver;
extern RsCoreRangeTableRanged rsetl_rngCATVISDBTSegments;
extern RsCoreRangeTableDiscrete rsetl_rngCATVISDBTModulation;
extern RsCoreRangeTableDiscrete rsetl_rngCATVISDBTFFTWindowPosition;
extern RsCoreRangeTableRanged rsetl_rngCATVISDBTFFTWindowOffset;
extern RsCoreRangeTableRanged rsetl_rngCATVISDBTMerr;
extern RsCoreRangeTableRanged rsetl_rngCATVISDBTBARS;
extern RsCoreRangeTableDiscrete rsetl_rngRadioMeas;
extern RsCoreRangeTableDiscrete rsetl_rngRadioStandard;
extern RsCoreRangeTableDiscrete rsetl_rngRadioBandwidth;
extern RsCoreRangeTableDiscrete rsetl_rngRadioData;
extern RsCoreRangeTableDiscrete rsetl_rngRadioSCA;
extern RsCoreRangeTableRanged rsetl_rngRadioDUTLevel;
extern RsCoreRangeTableRanged rsetl_rngRadioDUTDeviation;
extern RsCoreRangeTableDiscrete rsetl_rngRadioYScaling;
extern RsCoreRangeTableRanged rsetl_rngRadioSweepPoints;
extern RsCoreRangeTableRanged rsetl_rngRadioStart;
extern RsCoreRangeTableRanged rsetl_rngRadioStopCenter;
extern RsCoreRangeTableRanged rsetl_rngRadioSpan;
extern RsCoreRangeTableDiscrete rsetl_rngRadioZoom;
extern RsCoreRangeTableDiscrete rsetl_rngRadioType;
extern RsCoreRangeTableRanged rsetl_rngRadioRefFreq;
extern RsCoreRangeTableRanged rsetl_rngRadioPhaseRange;
extern RsCoreRangeTableRanged rsetl_rngRadioFreqRange;
extern RsCoreRangeTableRanged rsetl_rngRadioRefPos;
extern RsCoreRangeTableDiscrete rsetl_rngCrosstalkType;
extern RsCoreRangeTableDiscrete rsetl_rngCrosstalkReference;
extern RsCoreRangeTableRanged rsetl_rngRadioDeviation;
extern RsCoreRangeTableRanged rsetl_rngRadioMPXRefPos;
extern RsCoreRangeTableRanged rsetl_rngRadioPowerRange;
extern RsCoreRangeTableRanged rsetl_rngRadioPeakDev;
extern RsCoreRangeTableRanged rsetl_rngRadioSampleCount;
extern RsCoreRangeTableDiscrete rsetl_rngRadioSignalPath;
extern RsCoreRangeTableDiscrete rsetl_rngRadioDeemphasis;
extern RsCoreRangeTableDiscrete rsetl_rngRadioAGenType;
extern RsCoreRangeTableDiscrete rsetl_rngRadioAGenSignal;
extern RsCoreRangeTableDiscrete rsetl_rngRadioAGenConfig;
extern RsCoreRangeTableDiscrete rsetl_rngRadioAGenAmplitude;
extern RsCoreRangeTableDiscrete rsetl_rngRadioAGenWaveform;
extern RsCoreRangeTableRanged rsetl_rngRadioAGenLevel;
extern RsCoreRangeTableRanged rsetl_rngRadioAGenFrequency;
extern RsCoreRangeTableRanged rsetl_rngRadioAGenDeviation;
extern RsCoreRangeTableDiscrete rsetl_rngRadioPhasis;
extern RsCoreRangeTableRanged rsetl_rngRadioAGenDUTDeviation;
extern RsCoreRangeTableRanged rsetl_rngRadioSNTHDLimit;
extern RsCoreRangeTableRanged rsetl_rngRadioDFDLimit;
extern RsCoreRangeTableRanged rsetl_rngRadioMPXLimit;
extern RsCoreRangeTableRanged rsetl_rngRadioMPXPeakLimit;
extern RsCoreRangeTableRanged rsetl_rngrsetl_rngRadioMPDetectLimit;
extern RsCoreRangeTableRanged rsetl_rngDTVDispFrameCell;
extern RsCoreRangeTableDiscrete rsetl_rngRadioPowPeakMeas;
extern RsCoreRangeTableRanged rsetl_rngRadioPilDeviation;
extern RsCoreRangeTableDiscrete rsetl_rngRadioOutSignal;
extern RsCoreRangeTableRanged rsetl_rngRadioOutDeviation;
extern RsCoreRangeTableDiscrete rsetl_rngRadioOutCCVS;
extern RsCoreRangeTableRanged rsetl_rngDispRefPos;
extern RsCoreRangeTableRanged rsetl_rngDispRefDev;
extern RsCoreRangeTableDiscrete rsetl_rngTraceScaling;
extern RsCoreRangeTableRanged rsetl_rngDispMerRange;
extern RsCoreRangeTableRanged rsetl_rngMERFreqStartStopCenter;
extern RsCoreRangeTableRanged rsetl_rngMERFreqSpan;
extern RsCoreRangeTableDiscrete rsetl_rngDTVEchoOffMode;
extern RsCoreRangeTableRanged rsetl_rngDTVEchoOffTreshold;
extern RsCoreRangeTableRanged rsetl_rngDTVEchoFFETaps;
extern RsCoreRangeTableRanged rsetl_rngDTVEchoFFESec;
extern RsCoreRangeTableRanged rsetl_rngDTVEchoDFETaps;
extern RsCoreRangeTableRanged rsetl_rngDTVEchoDFESec;
extern RsCoreRangeTableRanged rsetl_rngDTVVelFactor;
extern RsCoreRangeTableRanged rsetl_rngDTVLogGPSPort;
extern RsCoreRangeTableRanged rsetl_rngDTVCNFreq;
extern RsCoreRangeTableRanged rsetl_rngDTVCNBandwidth;
extern RsCoreRangeTableDiscrete rsetl_rngDTVDataMode;
extern RsCoreRangeTableRanged rsetl_rngDTVDataPLP;
extern RsCoreRangeTableRanged rsetl_rngDTVDataParade;
extern RsCoreRangeTableDiscrete rsetl_rngDTVDVBSystem;
extern RsCoreRangeTableDiscrete rsetl_rngDTVDVBPilPat;
extern RsCoreRangeTableRanged rsetl_rngDTVDVBDataSymbol;
extern RsCoreRangeTableDiscrete rsetl_rngDTVPLPPayload;
extern RsCoreRangeTableDiscrete rsetl_rngDTVPLPCodeRate;
extern RsCoreRangeTableDiscrete rsetl_rngDTVPLPModulation;
extern RsCoreRangeTableDiscrete rsetl_rngDTVPLPFECType;
extern RsCoreRangeTableRanged rsetl_rngDTVPLPBlocks;
extern RsCoreRangeTableRanged rsetl_rngDTVPLPTIBlocks;
extern RsCoreRangeTableRanged rsetl_rngCatvMERL1Lower;
extern RsCoreRangeTableRanged rsetl_rngCatvMERL1Upper;
extern RsCoreRangeTableDiscrete rsetl_rngDTVTransSyst;
extern RsCoreRangeTableDiscrete rsetl_rngDTVConstelation;
extern RsCoreRangeTableDiscrete rsetl_rngDTVCodeRate;
extern RsCoreRangeTableDiscrete rsetl_rngDTVFECType;
extern RsCoreRangeTableDiscrete rsetl_rngDTVPAPR;
extern RsCoreRangeTableRanged rsetl_rngRadioAGenFreqSpac;
extern RsCoreRangeTableRanged rsetl_rngRadioAGenFreqUpp;
extern RsCoreRangeTableDiscrete rsetl_rngCATVGetDigitalTVCodeRate;
extern RsCoreRangeTableDiscrete rsetl_rngCATVGetDigitalTVCFrame;
extern RsCoreRangeTableDiscrete rsetl_rngCATVDTVL1StreamTypeResult;
extern RsCoreRangeTableRanged rsetl_rngCATVAttenuationDrive;
extern RsCoreRangeTableDiscrete rsetl_rngDisplayMISO;
extern RsCoreRangeTableRanged rsetl_rngCATVDigitalTVATSCSelectParadeByService;
extern RsCoreRangeTableDiscrete rsetl_rngDTVISSYProcessing;
extern RsCoreRangeTableDiscrete rsetl_rngDTVT2Profile;
extern RsCoreRangeTableDiscrete rsetl_rngRadioSpectrumMask;
extern RsCoreRangeTableRanged rsetl_rngDTVAmplitudeNoiseLowerLimit;
extern RsCoreRangeTableRanged rsetl_rngDTVImageRejectionLowerLimit;
extern RsCoreRangeTableRanged rsetl_rngMERRMSLow;
extern RsCoreRangeTableRanged rsetl_rngMERRMSUpp;
extern RsCoreRangeTableRanged rsetl_rngPhaseNoiseLowerLimit;
extern RsCoreRangeTableRanged rsetl_rngMarkerRadioProbabilityValue;
extern RsCoreRangeTableRanged rsetl_rngRadioMPXDeviationLimit;
extern RsCoreRangeTableRanged rsetl_rngRadioMPXOBWUpperLimit;
extern RsCoreRangeTableDiscrete rsetl_rngDTVShoulderGuideline;
extern RsCoreRangeTableDiscrete rsetl_rngDTMBPowerBoost;
extern RsCoreRangeTableDiscrete rsetl_rngDTMBPowerNormalization;
extern RsCoreRangeTableDiscrete rsetl_rngDTMBPowerReference;
extern RsCoreRangeTableCoerced rsetl_rngDTMBESRTimebase;
extern RsCoreRangeTableDiscrete rsetl_rngRadioMPXSamples;
extern RsCoreRangeTableDiscrete rsetl_rngRadioMPXTimeSpan;
extern RsCoreRangeTableDiscrete rsetl_rngDTMBBERIndication;
extern RsCoreRangeTableDiscrete rsetl_rngIQCarrierType;
extern RsCoreRangeTableDiscrete rsetl_rngGPSDevice;
extern RsCoreRangeTableDiscrete rsetl_rngGPSPinDirection;
extern RsCoreRangeTableDiscrete rsetl_rngGPSTSMXCalibrationStatus;
extern RsCoreRangeTableDiscrete rsetl_rngGPSTSMXStatus;
extern RsCoreRangeTableDiscrete rsetl_rngGPSStatus;
extern RsCoreRangeTableDiscrete rsetl_rngTSGeneratorWaveform;
extern RsCoreRangeTableRanged rsetl_rngTSGeneratorPCRJitterFrequency;
extern RsCoreRangeTableDiscrete rsetl_rngTSGeneratorPacketLength;
extern RsCoreRangeTableDiscrete rsetl_rngTSGeneratorSerialOutput;
extern RsCoreRangeTableDiscrete rsetl_rngTSRecorderInput;
extern RsCoreRangeTableDiscrete rsetl_rngTSGeneratorRecorderStatus;
extern RsCoreRangeTableDiscrete rsetl_rngTSGeneratorRecorderMode;

/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreAttribute g_RSETL_RS_ATTR_RANGE_CHECK;
extern RsCoreAttribute g_RSETL_RS_ATTR_QUERY_INSTRUMENT_STATUS;
extern RsCoreAttribute g_RSETL_RS_ATTR_SIMULATE;
extern RsCoreAttribute g_RSETL_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION;
extern RsCoreAttribute g_RSETL_RS_ATTR_SPECIFIC_DRIVER_PREFIX;
extern RsCoreAttribute g_RSETL_RS_ATTR_SPECIFIC_DRIVER_LOCATOR;
extern RsCoreAttribute g_RSETL_RS_ATTR_SPECIFIC_DRIVER_VENDOR;
extern RsCoreAttribute g_RSETL_RS_ATTR_SPECIFIC_DRIVER_REVISION;
extern RsCoreAttribute g_RSETL_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsCoreAttribute g_RSETL_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsCoreAttribute g_RSETL_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS;
extern RsCoreAttribute g_RSETL_RS_ATTR_GROUP_CAPABILITIES;
extern RsCoreAttribute g_RSETL_RS_ATTR_FUNCTION_CAPABILITIES;
extern RsCoreAttribute g_RSETL_RS_ATTR_CHANNEL_COUNT;
extern RsCoreAttribute g_RSETL_RS_ATTR_DRIVER_SETUP;
extern RsCoreAttribute g_RSETL_RS_ATTR_INSTRUMENT_MANUFACTURER;
extern RsCoreAttribute g_RSETL_RS_ATTR_INSTRUMENT_MODEL;
extern RsCoreAttribute g_RSETL_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION;
extern RsCoreAttribute g_RSETL_RS_ATTR_OPTIONS_LIST;
extern RsCoreAttribute g_RSETL_RS_ATTR_IO_RESOURCE_DESCRIPTOR;
extern RsCoreAttribute g_RSETL_RS_ATTR_LOGICAL_NAME;
extern RsCoreAttribute g_RSETL_RS_ATTR_PRIMARY_ERROR;
extern RsCoreAttribute g_RSETL_RS_ATTR_SECONDARY_ERROR;
extern RsCoreAttribute g_RSETL_RS_ATTR_ERROR_ELABORATION;
extern RsCoreAttribute g_RSETL_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION;
extern RsCoreAttribute g_RSETL_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION;
extern RsCoreAttribute g_RSETL_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION;
extern RsCoreAttribute g_RSETL_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION;
extern RsCoreAttribute g_RSETL_RS_ATTR_CLASS_DRIVER_MINOR_VERSION;
extern RsCoreAttribute g_RSETL_RS_ATTR_ENGINE_MAJOR_VERSION;
extern RsCoreAttribute g_RSETL_RS_ATTR_ENGINE_MINOR_VERSION;
extern RsCoreAttribute g_RSETL_RS_ATTR_ENGINE_REVISION;
extern RsCoreAttribute g_RSETL_RS_ATTR_OPC_TIMEOUT;
extern RsCoreAttribute g_RSETL_ATTR_AMPLITUDE_UNITS;
extern RsCoreAttribute g_RSETL_ATTR_INSTR_MODE;
extern RsCoreAttribute g_RSETL_ATTR_ATTENUATION;
extern RsCoreAttribute g_RSETL_ATTR_ATTENUATION_AUTO;
extern RsCoreAttribute g_RSETL_ATTR_FREQUENCY_START;
extern RsCoreAttribute g_RSETL_ATTR_FREQUENCY_STOP;
extern RsCoreAttribute g_RSETL_ATTR_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSETL_ATTR_FREQUENCY_CENTER;
extern RsCoreAttribute g_RSETL_ATTR_FREQUENCY_CENTER_STEP;
extern RsCoreAttribute g_RSETL_ATTR_FREQUENCY_STEP_AUTO;
extern RsCoreAttribute g_RSETL_ATTR_FREQUENCY_CENTER_LINK;
extern RsCoreAttribute g_RSETL_ATTR_FREQUENCY_CENTER_LINK_FACTOR;
extern RsCoreAttribute g_RSETL_ATTR_FREQUENCY_SPAN;
extern RsCoreAttribute g_RSETL_ATTR_FREQUENCY_SPAN_FULL;
extern RsCoreAttribute g_RSETL_ATTR_FREQUENCY_MODE;
extern RsCoreAttribute g_RSETL_ATTR_INPUT_IMPEDANCE;
extern RsCoreAttribute g_RSETL_ATTR_INPUT_IQ_STATE;
extern RsCoreAttribute g_RSETL_ATTR_NUMBER_OF_SWEEPS;
extern RsCoreAttribute g_RSETL_ATTR_REFERENCE_LEVEL;
extern RsCoreAttribute g_RSETL_ATTR_REFERENCE_LEVEL_OFFSET;
extern RsCoreAttribute g_RSETL_ATTR_RESOLUTION_BANDWIDTH;
extern RsCoreAttribute g_RSETL_ATTR_RESOLUTION_BANDWIDTH_AUTO;
extern RsCoreAttribute g_RSETL_ATTR_RESOLUTION_BANDWIDTH_RATIO;
extern RsCoreAttribute g_RSETL_ATTR_SWEEP_MODE_CONTINUOUS;
extern RsCoreAttribute g_RSETL_ATTR_SWEEP_TIME;
extern RsCoreAttribute g_RSETL_ATTR_SWEEP_TIME_AUTO;
extern RsCoreAttribute g_RSETL_ATTR_SWEEP_POINTS;
extern RsCoreAttribute g_RSETL_ATTR_SWEEP_COUNT_CURRENT;
extern RsCoreAttribute g_RSETL_ATTR_VERTICAL_SCALE;
extern RsCoreAttribute g_RSETL_ATTR_VIDEO_BANDWIDTH;
extern RsCoreAttribute g_RSETL_ATTR_VIDEO_BANDWIDTH_AUTO;
extern RsCoreAttribute g_RSETL_ATTR_VIDEO_BANDWIDTH_RATIO;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_ABORT;
extern RsCoreAttribute g_RSETL_ATTR_INIT;
extern RsCoreAttribute g_RSETL_ATTR_INIT_CONT;
extern RsCoreAttribute g_RSETL_ATTR_INIT_SW_TRIGGER;
extern RsCoreAttribute g_RSETL_ATTR_INIT_CONMEAS;
extern RsCoreAttribute g_RSETL_ATTR_AVG_STATE;
extern RsCoreAttribute g_RSETL_ATTR_AVG_TYPE;
extern RsCoreAttribute g_RSETL_ATTR_AVG_COUNT;
extern RsCoreAttribute g_RSETL_ATTR_AVG_COUNT_AUTO;
extern RsCoreAttribute g_RSETL_ATTR_RESOLUTION_BANDWIDTH_FILTER_TYPE;
extern RsCoreAttribute g_RSETL_ATTR_VIDEO_BANDWIDTH_TYPE;
extern RsCoreAttribute g_RSETL_ATTR_TRACE_STATE;
extern RsCoreAttribute g_RSETL_ATTR_TRACE_RESET_BEHAVIOR;
extern RsCoreAttribute g_RSETL_ATTR_TRACE_TYPE;
extern RsCoreAttribute g_RSETL_ATTR_TRACE_MATH_STATE;
extern RsCoreAttribute g_RSETL_ATTR_TRACE_MATH_POSITION;
extern RsCoreAttribute g_RSETL_ATTR_DETECTOR_TYPE;
extern RsCoreAttribute g_RSETL_ATTR_DETECTOR_TYPE_AUTO;
extern RsCoreAttribute g_RSETL_ATTR_CALIBRATION_CHECK;
extern RsCoreAttribute g_RSETL_ATTR_CALIBRATION;
extern RsCoreAttribute g_RSETL_ATTR_CALIBRATION_ABORT;
extern RsCoreAttribute g_RSETL_ATTR_CALIBRATION_RESULT_QUERY;
extern RsCoreAttribute g_RSETL_ATTR_CALIBRATION_STATE;
extern RsCoreAttribute g_RSETL_ATTR_INP_UPORT_STATE;
extern RsCoreAttribute g_RSETL_ATTR_INP_UPORT_VALUE;
extern RsCoreAttribute g_RSETL_ATTR_OUT_UPORT_VALUE;
extern RsCoreAttribute g_RSETL_ATTR_DISP_REF_VALUE;
extern RsCoreAttribute g_RSETL_ATTR_DISP_COUP_REF_LEV;
extern RsCoreAttribute g_RSETL_ATTR_DISP_REF_POSITION;
extern RsCoreAttribute g_RSETL_ATTR_DISP_FREQ_STATE;
extern RsCoreAttribute g_RSETL_ATTR_DISP_TIME_STATE;
extern RsCoreAttribute g_RSETL_ATTR_DISP_LOGO;
extern RsCoreAttribute g_RSETL_ATTR_DISP_COMMENT_STATE;
extern RsCoreAttribute g_RSETL_ATTR_DISP_COMMENT;
extern RsCoreAttribute g_RSETL_ATTR_DISP_PWR_SAVE_STATE;
extern RsCoreAttribute g_RSETL_ATTR_DISP_PWR_SAVE_HOLDOFF;
extern RsCoreAttribute g_RSETL_ATTR_DISP_WINDOW_SIZE;
extern RsCoreAttribute g_RSETL_ATTR_DISP_COL_PRESET;
extern RsCoreAttribute g_RSETL_ATTR_DISP_COL_PREDEFINED;
extern RsCoreAttribute g_RSETL_ATTR_DISP_LOG_RANGE;
extern RsCoreAttribute g_RSETL_ATTR_DISP_AMPLITUDE_GRID_MODE;
extern RsCoreAttribute g_RSETL_ATTR_DISP_SINGLE_SWEEP;
extern RsCoreAttribute g_RSETL_ATTR_DISP_UPDATE;
extern RsCoreAttribute g_RSETL_ATTR_DISP_FP_KEYS;
extern RsCoreAttribute g_RSETL_ATTR_UNIT_POWER;
extern RsCoreAttribute g_RSETL_ATTR_DISP_CHANNEL_IMPULSE_RESPONSE;
extern RsCoreAttribute g_RSETL_ATTR_DISP_MER_VS_FREQ;
extern RsCoreAttribute g_RSETL_ATTR_DISPL_SET_TO_FOREGROUND;
extern RsCoreAttribute g_RSETL_ATTR_DISP_MER_PHASE_REFERENCE_POSITION;
extern RsCoreAttribute g_RSETL_ATTR_DISP_MER_PHASE_REFERENCE_DEVIATION;
extern RsCoreAttribute g_RSETL_ATTR_DISP_MER_PHASE_DEVIATION_SCALING;
extern RsCoreAttribute g_RSETL_ATTR_DISP_MER_PHASE_DEVIATION_RANGE;
extern RsCoreAttribute g_RSETL_ATTR_DISP_GPS_POSITION;
extern RsCoreAttribute g_RSETL_ATTR_DISP_PEAK_LIST;
extern RsCoreAttribute g_RSETL_ATTR_DISP_DIAGRAM_FULL_SIZE;
extern RsCoreAttribute g_RSETL_ATTR_DISP_MISO;
extern RsCoreAttribute g_RSETL_ATTR_TFAC_SEL_NAME;
extern RsCoreAttribute g_RSETL_ATTR_TFAC_UNIT;
extern RsCoreAttribute g_RSETL_ATTR_TFAC_SCALING;
extern RsCoreAttribute g_RSETL_ATTR_TFAC_COMMENT;
extern RsCoreAttribute g_RSETL_ATTR_TFAC_STATE;
extern RsCoreAttribute g_RSETL_ATTR_TFAC_DELETE;
extern RsCoreAttribute g_RSETL_ATTR_TFAC_DISPLAY;
extern RsCoreAttribute g_RSETL_ATTR_TFAC_ADJ_STATE;
extern RsCoreAttribute g_RSETL_ATTR_MARKER_AMPLITUDE;
extern RsCoreAttribute g_RSETL_ATTR_MARKER_ENABLED;
extern RsCoreAttribute g_RSETL_ATTR_MARKER_POSITION;
extern RsCoreAttribute g_RSETL_ATTR_MARKER_TRACE;
extern RsCoreAttribute g_RSETL_ATTR_MARKER_AOFF;
extern RsCoreAttribute g_RSETL_ATTR_MARKER_LOEX;
extern RsCoreAttribute g_RSETL_ATTR_SIGNAL_TRACK_ENABLED;
extern RsCoreAttribute g_RSETL_ATTR_SIGNAL_TRACK_BWID;
extern RsCoreAttribute g_RSETL_ATTR_SIGNAL_TRACK_THRESHOLD;
extern RsCoreAttribute g_RSETL_ATTR_SIGNAL_TRACK_TRACE;
extern RsCoreAttribute g_RSETL_ATTR_MARKER_STEP_SIZE;
extern RsCoreAttribute g_RSETL_ATTR_MARKER_PROBABILITY;
extern RsCoreAttribute g_RSETL_ATTR_MARKER_RADIO_PROBABILITY;
extern RsCoreAttribute g_RSETL_ATTR_MARKER_RADIO_PROBABILITY_VALUE;
extern RsCoreAttribute g_RSETL_ATTR_MARKER_RADIO_DEVIATION;
extern RsCoreAttribute g_RSETL_ATTR_MARKER_SEARCH_MIN_RIGHT;
extern RsCoreAttribute g_RSETL_ATTR_MARKER_SEARCH_MIN_LEFT;
extern RsCoreAttribute g_RSETL_ATTR_MARKER_SEARCH_PEAK;
extern RsCoreAttribute g_RSETL_ATTR_MARKER_SEARCH_PEAK_NEXT;
extern RsCoreAttribute g_RSETL_ATTR_MARKER_SEARCH_PEAK_RIGHT;
extern RsCoreAttribute g_RSETL_ATTR_MARKER_SEARCH_PEAK_LEFT;
extern RsCoreAttribute g_RSETL_ATTR_MARKER_SEARCH_MIN;
extern RsCoreAttribute g_RSETL_ATTR_MARKER_SEARCH_MIN_NEXT;
extern RsCoreAttribute g_RSETL_ATTR_MARKER_SEARCH_PEAK_AUTO;
extern RsCoreAttribute g_RSETL_ATTR_MARKER_SEARCH_MIN_AUTO;
extern RsCoreAttribute g_RSETL_ATTR_MARKER_THRESHOLD_STATE;
extern RsCoreAttribute g_RSETL_ATTR_MARKER_THRESHOLD;
extern RsCoreAttribute g_RSETL_ATTR_PEAK_EXCURSION;
extern RsCoreAttribute g_RSETL_ATTR_MARKER_SEARCH_LIMITS_STATE;
extern RsCoreAttribute g_RSETL_ATTR_MARKER_SEARCH_LIMITS_LEFT;
extern RsCoreAttribute g_RSETL_ATTR_MARKER_SEARCH_LIMITS_RIGHT;
extern RsCoreAttribute g_RSETL_ATTR_MARKER_PEAK_LIST_COUNT;
extern RsCoreAttribute g_RSETL_ATTR_MARKER_PEAK_LIST_FOUND;
extern RsCoreAttribute g_RSETL_ATTR_MARKER_PEAK_LIST_SORT;
extern RsCoreAttribute g_RSETL_ATTR_MARKER_ZOOM;
extern RsCoreAttribute g_RSETL_ATTR_MARKER_DEMOD_STATE;
extern RsCoreAttribute g_RSETL_ATTR_MARKER_DEMOD_TYPE;
extern RsCoreAttribute g_RSETL_ATTR_MARKER_DEMOD_HOLDOFF;
extern RsCoreAttribute g_RSETL_ATTR_MARKER_DEMOD_CONT;
extern RsCoreAttribute g_RSETL_ATTR_MARKER_TO_CENTER;
extern RsCoreAttribute g_RSETL_ATTR_MARKER_TO_STEP;
extern RsCoreAttribute g_RSETL_ATTR_MARKER_TO_REFERENCE;
extern RsCoreAttribute g_RSETL_ATTR_MARKER_REF_STATE;
extern RsCoreAttribute g_RSETL_ATTR_MARKER_REF_LEVEL;
extern RsCoreAttribute g_RSETL_ATTR_MARKER_REF_LEVEL_OFFSET;
extern RsCoreAttribute g_RSETL_ATTR_MARKER_REF_FREQ;
extern RsCoreAttribute g_RSETL_ATTR_MARKER_REF_PEAK;
extern RsCoreAttribute g_RSETL_ATTR_REFERENCE_MARKER_STATE;
extern RsCoreAttribute g_RSETL_ATTR_REFERENCE_MARKER_MODE;
extern RsCoreAttribute g_RSETL_ATTR_REFERENCE_MARKER_POSITION;
extern RsCoreAttribute g_RSETL_ATTR_REFERENCE_MARKER_REL_POSITION;
extern RsCoreAttribute g_RSETL_ATTR_REFERENCE_MARKER_AMPLITUDE;
extern RsCoreAttribute g_RSETL_ATTR_REFERENCE_MARKER_TRACE;
extern RsCoreAttribute g_RSETL_ATTR_REFERENCE_MARKER_AOFF;
extern RsCoreAttribute g_RSETL_ATTR_REFERENCE_MARKER_PEAK;
extern RsCoreAttribute g_RSETL_ATTR_REFERENCE_MARKER_PEAK_NEXT;
extern RsCoreAttribute g_RSETL_ATTR_REFERENCE_MARKER_PEAK_NEXT_RIGHT;
extern RsCoreAttribute g_RSETL_ATTR_REFERENCE_MARKER_PEAK_NEXT_LEFT;
extern RsCoreAttribute g_RSETL_ATTR_REFERENCE_MARKER_MIN;
extern RsCoreAttribute g_RSETL_ATTR_REFERENCE_MARKER_MIN_NEXT;
extern RsCoreAttribute g_RSETL_ATTR_REFERENCE_MARKER_MIN_NEXT_RIGHT;
extern RsCoreAttribute g_RSETL_ATTR_REFERENCE_MARKER_MIN_NEXT_LEFT;
extern RsCoreAttribute g_RSETL_LIMIT_STATE;
extern RsCoreAttribute g_RSETL_LIMIT_CLEAR;
extern RsCoreAttribute g_RSETL_LIMIT_ASSIGN_TRACE;
extern RsCoreAttribute g_RSETL_LIMIT_UNITS;
extern RsCoreAttribute g_RSETL_LIMIT_COMMENT;
extern RsCoreAttribute g_RSETL_LIMIT_COPY;
extern RsCoreAttribute g_RSETL_LIMIT_NAME;
extern RsCoreAttribute g_RSETL_LIMIT_DELETE;
extern RsCoreAttribute g_RSETL_LIMIT_CONTROL_DOMAIN;
extern RsCoreAttribute g_RSETL_LIMIT_CONTROL_SPACING;
extern RsCoreAttribute g_RSETL_LIMIT_CONTROL_SCALING;
extern RsCoreAttribute g_RSETL_LIMIT_CONTROL_OFFSET;
extern RsCoreAttribute g_RSETL_LIMIT_CONTROL_SHIFT;
extern RsCoreAttribute g_RSETL_LIMIT_LOWER_STATE;
extern RsCoreAttribute g_RSETL_LIMIT_LOWER_SCALING;
extern RsCoreAttribute g_RSETL_LIMIT_LOWER_SPACING;
extern RsCoreAttribute g_RSETL_LIMIT_LOWER_MARGIN;
extern RsCoreAttribute g_RSETL_LIMIT_LOWER_THRESHOLD;
extern RsCoreAttribute g_RSETL_LIMIT_LOWER_OFFSET;
extern RsCoreAttribute g_RSETL_LIMIT_LOWER_SHIFT;
extern RsCoreAttribute g_RSETL_LIMIT_UPPER_STATE;
extern RsCoreAttribute g_RSETL_LIMIT_UPPER_SCALING;
extern RsCoreAttribute g_RSETL_LIMIT_UPPER_SPACING;
extern RsCoreAttribute g_RSETL_LIMIT_UPPER_MARGIN;
extern RsCoreAttribute g_RSETL_LIMIT_UPPER_THRESHOLD;
extern RsCoreAttribute g_RSETL_LIMIT_UPPER_OFFSET;
extern RsCoreAttribute g_RSETL_LIMIT_UPPER_SHIFT;
extern RsCoreAttribute g_RSETL_ATTR_THRLINE_STATE;
extern RsCoreAttribute g_RSETL_ATTR_THRLINE_POSITION;
extern RsCoreAttribute g_RSETL_ATTR_DLINE_STATE;
extern RsCoreAttribute g_RSETL_ATTR_DLINE_POSITION;
extern RsCoreAttribute g_RSETL_ATTR_FLINE_STATE;
extern RsCoreAttribute g_RSETL_ATTR_FLINE_POSITION;
extern RsCoreAttribute g_RSETL_ATTR_TLINE_STATE;
extern RsCoreAttribute g_RSETL_ATTR_TLINE_POSITION;
extern RsCoreAttribute g_RSETL_ATTR_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSETL_ATTR_TRIGGER_DELAY;
extern RsCoreAttribute g_RSETL_ATTR_TRIGGER_SLOPE;
extern RsCoreAttribute g_RSETL_ATTR_EXTERNAL_GATE;
extern RsCoreAttribute g_RSETL_ATTR_EXTERNAL_GATE_HOLD;
extern RsCoreAttribute g_RSETL_ATTR_EXTERNAL_GATE_TRIGGER_TYPE;
extern RsCoreAttribute g_RSETL_ATTR_EXTERNAL_GATE_POLARITY;
extern RsCoreAttribute g_RSETL_ATTR_EXTERNAL_GATE_LENGTH;
extern RsCoreAttribute g_RSETL_ATTR_EXTERNAL_GATE_SIGNAL_SOURCE;
extern RsCoreAttribute g_RSETL_ATTR_VIDEO_TRIGGER_LEVEL;
extern RsCoreAttribute g_RSETL_ATTR_TRIGGER_IFP_LEVEL;
extern RsCoreAttribute g_RSETL_ATTR_TRIGGER_IFP_OFFSET;
extern RsCoreAttribute g_RSETL_ATTR_TRIGGER_IFP_HYSTERESIS;
extern RsCoreAttribute g_RSETL_ATTR_TRIGGER_TV_FREE_RUN_TRIG_MODE;
extern RsCoreAttribute g_RSETL_ATTR_TRIGGER_TV_VERTICAL_SYNC;
extern RsCoreAttribute g_RSETL_ATTR_TRIGGER_TV_LINE_SYSTEM;
extern RsCoreAttribute g_RSETL_ATTR_TRIGGER_TV_HORIZONTAL_SYNC_LINE_NUMBER;
extern RsCoreAttribute g_RSETL_ATTR_TRIGGER_TV_VIDEO_SYNC_SIGNAL_POLARITY;
extern RsCoreAttribute g_RSETL_ATTR_AMPL_PREAMPLIFIER;
extern RsCoreAttribute g_RSETL_ATTR_EXTERN_PREAMP_GAIN;
extern RsCoreAttribute g_RSETL_LIMIT_CHECK_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_TRACK_GEN_STATE;
extern RsCoreAttribute g_RSETL_ATTR_TRACK_GEN_CORR_STATE;
extern RsCoreAttribute g_RSETL_ATTR_TRACK_GEN_RECALL_SETTINGS;
extern RsCoreAttribute g_RSETL_ATTR_TRACK_GEN_MEAS_TYPE;
extern RsCoreAttribute g_RSETL_ATTR_TRACK_GEN_CAL_RESULT_TYPE;
extern RsCoreAttribute g_RSETL_ATTR_TRACK_GEN_OUTPUT_LEVEL;
extern RsCoreAttribute g_RSETL_ATTR_TRACK_GEN_OUTPUT_LEVEL_OFFSET;
extern RsCoreAttribute g_RSETL_ATTR_MARKER_NOISE_STATE;
extern RsCoreAttribute g_RSETL_ATTR_MARKER_NOISE_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_REFERENCE_MARKER_PNO_STATE;
extern RsCoreAttribute g_RSETL_ATTR_REFERENCE_MARKER_PNO_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_MARKER_FREQUENCY_COUNTER_ENABLED;
extern RsCoreAttribute g_RSETL_ATTR_MARKER_FREQUENCY_COUNTER_RESOLUTION;
extern RsCoreAttribute g_RSETL_ATTR_MARKER_COUNT;
extern RsCoreAttribute g_RSETL_ATTR_MARKER_NDB_STATE;
extern RsCoreAttribute g_RSETL_ATTR_MARKER_NDB_VAL;
extern RsCoreAttribute g_RSETL_ATTR_MARKER_NDB_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_LIST_POW_STATE_OFF;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_TDOM_STATE;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_TDOM_PEAK;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_TDOM_RMS;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_TDOM_MEAN;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_TDOM_SDEV;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_TDOM_AVG;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_TDOM_MAX_HOLD;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_TDOM_MODE;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_TDOM_AOFF;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_TDOM_SET_REFERENCE;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_TDOM_PEAK_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_TDOM_RMS_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_TDOM_MEAN_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_TDOM_SDEV_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_TDOM_AVG_PEAK_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_TDOM_AVG_RMS_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_TDOM_AVG_MEAN_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_TDOM_AVG_SDEV_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_TDOM_PEAK_HOLD_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_TDOM_PEAK_HOLD_RMS_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_TDOM_PEAK_HOLD_MEAN_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_TDOM_PEAK_HOLD_SDEV_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_POW_SELECT;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_POW_OFF;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_POW_ADJ_NUM;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_POW_ADJ_MODE;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_POW_MODE;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_POW_RESULT_MODE;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_POW_CHANNEL_SPACING;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_POW_ADJ_CHANNEL_SPACING;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_POW_ALT_CHANNEL_SPACING;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_POW_CHANNEL_BANDWIDTH;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_POW_ADJ_CHANNEL_BANDWIDTH;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_POW_ALT_CHANNEL_BANDWIDTH;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_POW_TRACE;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_POW_STANDARD;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_POW_REF_VALUE;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_POW_ADJ_PRESET;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_ACP_HSP;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_ACP_PRESET_REF_LEVEL;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_ACP_LIMIT_STATE;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_ACP_LIMIT_REL_STATE;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_ACP_LIMIT_ABS_STATE;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_ACP_ALT_LIMIT_REL_STATE;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_ACP_ALT_LIMIT_ABS_STATE;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_POW_CARR_SIG_NUM;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_POW_REF_CHAN_SEL_AUTO;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_POW_ADJ_REF_TXCHANNEL;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_POW_BANDWIDTH;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_STAT_APD_STATE;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_STAT_CCDF_STATE;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_STAT_SAMPLES;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_STAT_X_REF;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_STAT_X_RANGE;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_STAT_Y_MIN;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_STAT_Y_MAX;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_STAT_ADJ;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_STAT_PRESET;
extern RsCoreAttribute g_RSETL_ATTR_STAT_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_MDEPTH_STATE;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_MDEPTH_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_MDEPTH_SEARCH;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_TOI_STATE;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_TOI_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_TOI_SEARCH;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_HDIST_STATE;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_HDIST_NOOFHARM;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_HDIST_RBWAUTO;
extern RsCoreAttribute g_RSETL_ATTR_MEAS_HDIST_PRESET;
extern RsCoreAttribute g_RSETL_ATTR_MPOW_MIN;
extern RsCoreAttribute g_RSETL_ATTR_MPOW_FTYPE;
extern RsCoreAttribute g_RSETL_ATTR_IQ_SAMPLE_RATE;
extern RsCoreAttribute g_RSETL_ATTR_IQ_DATA_STATE;
extern RsCoreAttribute g_RSETL_ATTR_IQ_DATA_AVER_STATE;
extern RsCoreAttribute g_RSETL_ATTR_IQ_DATA_AVER_COUNT;
extern RsCoreAttribute g_RSETL_ATTR_IQ_DATA_SYNC;
extern RsCoreAttribute g_RSETL_ATTR_SERVICE_INPUT_SOURCE;
extern RsCoreAttribute g_RSETL_ATTR_SERVICE_INPUT_COMB_FREQUENCY;
extern RsCoreAttribute g_RSETL_ATTR_SERVICE_NOISE_SOURCE;
extern RsCoreAttribute g_RSETL_ATTR_SERVICE_STEST_RESULTS;
extern RsCoreAttribute g_RSETL_ATTR_SERVICE_STEST;
extern RsCoreAttribute g_RSETL_ATTR_FILE_RECALL;
extern RsCoreAttribute g_RSETL_ATTR_FILE_STARTUP_RECALL;
extern RsCoreAttribute g_RSETL_ATTR_FILE_SAVE;
extern RsCoreAttribute g_RSETL_ATTR_FILE_DATA_CLEAR;
extern RsCoreAttribute g_RSETL_ATTR_FILE_DATA_CLEAR_ALL;
extern RsCoreAttribute g_RSETL_ATTR_FILE_DEC_SEPARATOR;
extern RsCoreAttribute g_RSETL_ATTR_FILE_MANAGER_EDIT_PATH;
extern RsCoreAttribute g_RSETL_ATTR_FILE_MANAGER_DELETE;
extern RsCoreAttribute g_RSETL_ATTR_FILE_MANAGER_MAKE_DIR;
extern RsCoreAttribute g_RSETL_ATTR_FILE_MANAGER_EDIT_PATH_DEVICE;
extern RsCoreAttribute g_RSETL_ATTR_FILE_MANAGER_DELETE_DIR;
extern RsCoreAttribute g_RSETL_ATTR_FILE_ITEMS_SAVE_RECAL_SEL_SOURCE_CAL_DATA;
extern RsCoreAttribute g_RSETL_ATTR_FILE_ITEMS_SAVE_RECAL_SEL_TRAN;
extern RsCoreAttribute g_RSETL_ATTR_FILE_ITEMS_SAVE_RECAL_SEL_HWSETTINGS;
extern RsCoreAttribute g_RSETL_ATTR_FILE_ITEMS_SAVE_RECAL_SEL_TRAC;
extern RsCoreAttribute g_RSETL_ATTR_FILE_ITEMS_SAVE_RECAL_SEL_LINE;
extern RsCoreAttribute g_RSETL_ATTR_FILE_ITEMS_SAVE_RECAL_ALL;
extern RsCoreAttribute g_RSETL_ATTR_FILE_ITEMS_SAVE_RECAL_NONE;
extern RsCoreAttribute g_RSETL_ATTR_FILE_ITEMS_SAVE_RECAL_DEFAULT;
extern RsCoreAttribute g_RSETL_ATTR_HCOPY_ABORT;
extern RsCoreAttribute g_RSETL_ATTR_HCOPY_COLOR_DEF;
extern RsCoreAttribute g_RSETL_ATTR_HCOPY_COLOR;
extern RsCoreAttribute g_RSETL_ATTR_HCOPY_PRINT;
extern RsCoreAttribute g_RSETL_ATTR_HCOPY_PRINT_NEXT;
extern RsCoreAttribute g_RSETL_ATTR_HCOPY_DEVICE_DESTINATION;
extern RsCoreAttribute g_RSETL_ATTR_HCOPY_COLOR_PREDEFINED;
extern RsCoreAttribute g_RSETL_ATTR_HCOPY_DEVICE_LANG_OUT_FORM;
extern RsCoreAttribute g_RSETL_ATTR_HCOPY_PRINT_SCREEN;
extern RsCoreAttribute g_RSETL_ATTR_HCOPY_COMM_SCR;
extern RsCoreAttribute g_RSETL_ATTR_HCOPY_PRINT_TRACE;
extern RsCoreAttribute g_RSETL_ATTR_HCOPY_DEVICE_ORIENTATION;
extern RsCoreAttribute g_RSETL_ATTR_HCOPY_FILE_NAME;
extern RsCoreAttribute g_RSETL_ATTR_HCOPY_PRINTER;
extern RsCoreAttribute g_RSETL_ATTR_HCOPY_PRINTER_NEXT;
extern RsCoreAttribute g_RSETL_ATTR_HCOPY_PRINTER_FIRST;
extern RsCoreAttribute g_RSETL_ATTR_ROSC_SOURCE;
extern RsCoreAttribute g_RSETL_ATTR_SYST_ERR;
extern RsCoreAttribute g_RSETL_ATTR_SYST_ERR_LIST;
extern RsCoreAttribute g_RSETL_ATTR_SYST_ERR_CLEAR;
extern RsCoreAttribute g_RSETL_ATTR_SYST_PRESET;
extern RsCoreAttribute g_RSETL_ATTR_SYST_VERSION;
extern RsCoreAttribute g_RSETL_ATTR_SYST_SPEAKER;
extern RsCoreAttribute g_RSETL_ATTR_OUTPUT_MEAS_MODE;
extern RsCoreAttribute g_RSETL_ATTR_SYSTEM_POWER_SUPPLY;
extern RsCoreAttribute g_RSETL_ATTR_FMDEM_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSETL_ATTR_ADEM_TRIGGER_AM_LEVEL_ABS;
extern RsCoreAttribute g_RSETL_ATTR_ADEM_TRIGGER_AM_LEVEL_REL;
extern RsCoreAttribute g_RSETL_ATTR_ADEM_TRIGGER_FM_LEVEL;
extern RsCoreAttribute g_RSETL_ATTR_ADEM_TRIGGER_PM_LEVEL;
extern RsCoreAttribute g_RSETL_ATTR_FMDEM_DISPLAY_PDIV;
extern RsCoreAttribute g_RSETL_ATTR_FMDEM_STATE;
extern RsCoreAttribute g_RSETL_ATTR_FMDEM_AF_COUP;
extern RsCoreAttribute g_RSETL_ATTR_FMDEM_MTIM;
extern RsCoreAttribute g_RSETL_ATTR_FMDEM_BAND_DEM;
extern RsCoreAttribute g_RSETL_ATTR_FMDEM_RLEN;
extern RsCoreAttribute g_RSETL_ATTR_FMDEM_SRATE;
extern RsCoreAttribute g_RSETL_ATTR_FMDEM_ZOOM;
extern RsCoreAttribute g_RSETL_ATTR_FMDEM_ZOOM_START;
extern RsCoreAttribute g_RSETL_ATTR_ADEM_PHASE_WRAP;
extern RsCoreAttribute g_RSETL_ATTR_ADEM_UNIT_ANGLE;
extern RsCoreAttribute g_RSETL_ATTR_ADEM_PM_RPO_X;
extern RsCoreAttribute g_RSETL_ATTR_FMDEM_AF_CENTER;
extern RsCoreAttribute g_RSETL_ATTR_FMDEM_AF_SPAN;
extern RsCoreAttribute g_RSETL_ATTR_FMDEM_AF_START;
extern RsCoreAttribute g_RSETL_ATTR_FMDEM_AF_STOP;
extern RsCoreAttribute g_RSETL_ATTR_FMDEM_AF_FULL_SPAN;
extern RsCoreAttribute g_RSETL_ATTR_FMDEM_BAND_RES;
extern RsCoreAttribute g_RSETL_ATTR_FMDEM_SPEC_SPAN;
extern RsCoreAttribute g_RSETL_ATTR_FMDEM_SPEC_ZOOM;
extern RsCoreAttribute g_RSETL_ATTR_FMDEM_FILT_HPAS_STAT;
extern RsCoreAttribute g_RSETL_ATTR_FMDEM_FILT_HPAS_FREQ;
extern RsCoreAttribute g_RSETL_ATTR_FMDEM_FILT_LPAS_STAT;
extern RsCoreAttribute g_RSETL_ATTR_FMDEM_FILT_DEMP_STAT;
extern RsCoreAttribute g_RSETL_ATTR_FMDEM_FILT_LPAS_FREQ;
extern RsCoreAttribute g_RSETL_ATTR_FMDEM_FILT_DEMP_TCON;
extern RsCoreAttribute g_RSETL_ATTR_ADEM_FILT_LPAS_FREQ_REL;
extern RsCoreAttribute g_RSETL_ATTR_FMDEM_AFR_RES;
extern RsCoreAttribute g_RSETL_ATTR_FMDEM_FERR_RES;
extern RsCoreAttribute g_RSETL_ATTR_FMDEM_SIN_RES;
extern RsCoreAttribute g_RSETL_ATTR_FMDEM_THD_RES;
extern RsCoreAttribute g_RSETL_ATTR_FMDEM_CARR_RES;
extern RsCoreAttribute g_RSETL_ATTR_ADEM_SUMM_RES;
extern RsCoreAttribute g_RSETL_ATTR_ADEM_FM_OFFSET;
extern RsCoreAttribute g_RSETL_ATTR_PMET_REL;
extern RsCoreAttribute g_RSETL_ATTR_PMET_REL_AUTO;
extern RsCoreAttribute g_RSETL_ATTR_PMET_FREQ;
extern RsCoreAttribute g_RSETL_ATTR_PMET_MEAS_TIME;
extern RsCoreAttribute g_RSETL_ATTR_PMET_COUPLING;
extern RsCoreAttribute g_RSETL_ATTR_PMET_ZERO;
extern RsCoreAttribute g_RSETL_ATTR_PMET_UNIT_ABS;
extern RsCoreAttribute g_RSETL_ATTR_PMET_UNIT_REL;
extern RsCoreAttribute g_RSETL_ATTR_PMET_STATE;
extern RsCoreAttribute g_RSETL_ATTR_PMET_AVERAGE_AUTO;
extern RsCoreAttribute g_RSETL_ATTR_PMET_AVERAGE_COUNT;
extern RsCoreAttribute g_RSETL_ATTR_PMET_REF_LEVEL_OFFSET_STATE;
extern RsCoreAttribute g_RSETL_ATTR_PMET_BARGRAPH_STATE;
extern RsCoreAttribute g_RSETL_ATTR_PMET_RELATIVE;
extern RsCoreAttribute g_RSETL_ATTR_PMET_READ;
extern RsCoreAttribute g_RSETL_ATTR_PMET_FETCH;
extern RsCoreAttribute g_RSETL_ATTR_CATV_MODE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_MEAS_MODE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_Y_SCALE_AUTO;
extern RsCoreAttribute g_RSETL_ATTR_CATV_EPAT_ZOOM_STATE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_EPAT_ZOOM_FACTOR;
extern RsCoreAttribute g_RSETL_ATTR_CATV_EPAT_MEAS_SORT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_MERR_ZOOM;
extern RsCoreAttribute g_RSETL_ATTR_CATV_OVER_ZOOM;
extern RsCoreAttribute g_RSETL_ATTR_CATV_QUAD_ZOOM;
extern RsCoreAttribute g_RSETL_ATTR_CATV_TRACE_MODE_FREEZE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_X_AXIS_AUTO_SCALING;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DISPLAY_CENTER_POSITION;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DISPAY_DIVISION;
extern RsCoreAttribute g_RSETL_ATTR_CATV_CHANNEL;
extern RsCoreAttribute g_RSETL_ATTR_CATV_RF_FREQUENCY;
extern RsCoreAttribute g_RSETL_ATTR_CATV_RF_FREQUENCY_STEP_SIZE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_SWEEP_SPACING;
extern RsCoreAttribute g_RSETL_ATTR_CATV_SIDE_BAND;
extern RsCoreAttribute g_RSETL_ATTR_CATV_MODUL_STANDARD;
extern RsCoreAttribute g_RSETL_ATTR_CATV_MODUL_STANDARD_GDELAY;
extern RsCoreAttribute g_RSETL_ATTR_CATV_MODUL_STANDARD_SIG_TYPE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_PRES_STATE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATT_MODE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_SOUND_CHAN;
extern RsCoreAttribute g_RSETL_ATTR_CATV_GET_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_AUDIO_STATE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_AUDIO_VOLUME;
extern RsCoreAttribute g_RSETL_ATTR_CATV_REFERENCE_LEVEL_AUTO;
extern RsCoreAttribute g_RSETL_ATTR_CATV_LEVEL_DISPLAY;
extern RsCoreAttribute g_RSETL_ATTR_CATV_INPUT_SELECT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_INPUT_SELECT_MPX;
extern RsCoreAttribute g_RSETL_ATTR_CATV_VISION_MODULATION;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATTENUATOR_STATE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATTENUATION_DRIVE_MODE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATTENUATION_DRIVE_RESERVE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATTENUATION_DRIVE_HYSTERESIS;
extern RsCoreAttribute g_RSETL_ATTR_QUERY_CATV_AMPL_PREAMPLIFIER_STATE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_MEAS;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_CARR_MEAS;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_MEAS_MODE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_BWID;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_FREQ_NEXT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_NOISE_FLOOR_CORRECTION;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_REF_CHANNEL_MANUAL;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_REF_POWER_MANUAL;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_REF_POWER_MODE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_HUM_UNIT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_VCP_UNIT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_VMOD_UNIT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_STANDARD;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_SOUND_SYSTEM;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_COLOR;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_TRIGGER_BAR_FIELD;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_TRIGGER_BAR_LINE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_TRIGGER_BAR_LINE_TYPE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_TRIGGER_VIDEO_SCOPE_FIELD;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_TRIGGER_VIDEO_SCOPE_LINE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_TRIGGER_QLINE_FIELD;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_TRIGGER_QUIET_LINE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_MEAS_TEST_SIGNAL;
extern RsCoreAttribute g_RSETL_ATTR_CATV_GET_ATV_MEAS_TEST_SIGNAL;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_AVER_DEPTH;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_AVER_RESET;
extern RsCoreAttribute g_RSETL_ATTR_CATV_GET_ATV_ACHIEVED_AVER_DEPTH;
extern RsCoreAttribute g_RSETL_ATTR_CATV_RESIDUAL_CARRIER_STATE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_RESIDUAL_CARRIER_VALUE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_SOUND_DEMOD_MODE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_VIDEO_CLAMPING_MODE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_VIDEO_GEN_STATE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_VIDEO_GEN_IF_OUT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_VIDEO_GEN_TEST_PATTERN;
extern RsCoreAttribute g_RSETL_ATTR_CATV_VIDEO_GEN_USER_DEFINED_IMAGE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_WAV_PARAM;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_WAV_LOC;
extern RsCoreAttribute g_RSETL_ATTR_CATV_GET_ATV_WAV_POINTS;
extern RsCoreAttribute g_RSETL_ATTR_CATV_GET_ATV_WAV_CENTER;
extern RsCoreAttribute g_RSETL_ATTR_CATV_GET_ATV_WAV_WIDTH;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_CARR_LIM_FREQ_OFFSET;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_CARR_LIM_REL_POWER;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_CARR_LIM_VCF;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_CARR_LIM_VCP;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_LIM_CN;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_LIM_CSO;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_LIM_CTB;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_LIM_HUM_LOW;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_LIM_HUM_UPP;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_LIM_VMOD_MDEP;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_LIM_VMOD_RPC;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_LIM_VMOD_VCP;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_LIM_VMOD_LFOF;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_LIM_ANALYSIS_MEAS;
extern RsCoreAttribute g_RSETL_ATTR_CATV_GET_ATV_LIM_ANALYSIS_MEAS;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_LIM_ANALYSIS_MEAS_MIN_MAX;
extern RsCoreAttribute g_RSETL_ATTR_CATV_GET_ATV_LIM_ANALYSIS_MEAS_MIN_MAX;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_CARR_LIM_FREQ_OFFSET_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_CARR_LIM_REL_POWER_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_CARR_LIM_VCF_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_CARR_LIM_VCP_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_LIM_CN_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_LIM_CSO_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_LIM_CTB_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_LIM_HUM_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_LIM_VMOD_MDEP_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_LIM_ANALYSIS_MEAS_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_SIGNAL_LOCKED;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_CARR_VCPA;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_CARR_VCF_VALUE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_CARR_REL_POWER_VALUE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_CARR_FREQ_OFFSET_VALUE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_VALUE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_CN_CN_VALUE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_CSO_CSO_VALUE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_CTB_CTB_VALUE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_HUM_VALUE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATV_VMOD_RESULT_VALUE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_GET_ATV_ANALYSIS_MEAS_VALUE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MEAS;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_SATT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_OUT_OF_BAND_EMISSIONS_STATE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_SATT_GUIDELINE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_OUT_OF_BAND_EMISSIONS_TRANSMITTER_POWER_RANGE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_OUT_OF_BAND_EMISSIONS_TRANSMITTER_POWER;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_OUT_OF_BAND_EMISSIONS_MASK_TYPE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_OUT_OF_BAND_EMISSIONS_SHOW_PEAKS;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_OUT_OF_BAND_EMISSIONS_NOISE_FLOOR_CORRECTION;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_OUT_OF_BAND_EMISSIONS_EXTERNAL_NOTCH_FILTER;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_OUT_OF_BAND_EMISSIONS_COUNTRY;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_FREQ_OFFSET;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_SPECTRUM_MARGIN_LIST;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_REFERENCE_FREQUENCY;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_CHAN_BAND;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_CHAN_BAND_DVBT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_OVERVIEW_SCREEN_SELECT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MER_FREQUENCY_START;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MER_FREQUENCY_STOP;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MER_FREQUENCY_CENTER;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MER_FREQUENCY_SPAN;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MER_OPTIMIZATION;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_EPAT_UNIT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_EPAT_RVEL;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_TIME_RANGE_MODE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_ECHO_THRESHOLD_LINE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_ECHO_FREQ_OFFSET_STATE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_ECHO_FREQ_OFFSET_MODE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_ECHO_FREQ_OFFSET_TRESHOLD;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_ECHO_SHORT_EQUALIZER_STATE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_ECHO_SHORT_EQ_FFE_LENGTH_TAPS;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_ECHO_SHORT_EQ_FFE_LENGTH_SECONDS;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_ECHO_SHORT_EQ_DFE_LENGTH_TAPS;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_ECHO_SHORT_EQ_DFE_LENGTH_SECONDS;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_ECHO_FREQ_VELOCITY_FACTOR;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_EYE_DIAGRAM_TIME_SPAN;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_ISDBT_CONST_SELECT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_ISDBT_CONSTELL_DIAGRAM_DATA_CARRIERS_CONTINUAL_SCATTERED_PILOTS;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_ISDBT_CONSTELL_DIAGRAM_DATA_CARRIERS_TMCC;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_ISDBT_CONSTELL_DIAGRAM_DATA_CARRIERS_AC1;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_ISDBT_CONSTELL_DIAGRAM_DATA_CARRIERS_AC2;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_ISDBT_XAXIS_UNIT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_ERROR_UNIT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_POW_LEV_UNIT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_EQUALIZER_STATE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_EQUALIZER_COUNT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_EQUALIZER_FREEZE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_EQUALIZER_MODE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_EQUALIZER_RESET;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_EQUALIZER_STEP_SIZE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_EQUALIZER_STEP_SIZE_SHRINK;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_FILTER_ALPHA;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_SRATE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_STANDARD;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_T2_PROFILE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_FORMAT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MIN_BER_SAMPLES;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_DISP_IQ_SAMPLES;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_IQ_SOURCE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_IQ_CARRIER_TYPE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_DISPLAY_START_SYMBOL;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_DISPLAY_FRAME_COUNT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_DISPLAY_CELL_COUNT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_BER_RESET;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MLOG_RESET;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_AUTO_DETECTION;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_CARRIER_START;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_CARRIER_STOP;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_CARRIER_SPAN;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_CARRIER_CENTER;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_CARRIER_DATA_STATE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_CARRIER_TR_STATE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_CARRIER_LOOPS;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_CARRIER_MODULATION;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_CODE_RATE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_CODE_RATE_HIGH_PRIOR;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_CODE_RATE_LOW_PRIOR;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_FEC_SYNC_REQUIRED;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_FIC_SYNC_REQUIRED;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MPEG_SYNC_REQUIRED;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_FFT_MODE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_GUARD_INTERVAL;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_GUARD_INTERVAL_PN;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_INTERLEAVER;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LDPC_MODE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_SYMBOL_LOOPS;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_AGC_LOOPS;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_SYSTEM_OPTIMATION;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_TIME_DEINTERLEAVER;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MPEG_TS_OUTPUT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_DISPLAY_TMCC_NEXT_VALUES;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_DATA_ID_MODE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_DATA_ID_MAN;
extern RsCoreAttribute g_RSETL_ATTR_QUERY_CATV_DTV_DATA_ID;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_ISDBT_CODE_RATE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_ISDBT_TIME_DEINTERLEAVER;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_ISDBT_SEGMENTS;
extern RsCoreAttribute g_RSETL_ATTR_CATV_GET_DTV_ISDBT_SEGMENT_C;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_ISDBT_MODULATION;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_ISDBT_PARTIAL_RECEPTION;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_ISDBT_FFT_WINDOW_POSITION;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_ISDBT_FFT_WINDOW_OFFSET;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_DTMB_SI_POWER_NORMALIZATION;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_DTMB_FH_POWER_BOOST;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_DTMB_FH_POWER_REFERENCE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_DTMB_ESR_TIMEBASE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_DTMB_BER_INDICATION;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_DVB_ISSY_PROCESSING;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DIGITAL_TV_DVB_TRANSMISSION_SYSTEM;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DIGITAL_TV_DVB_PILOT_PATTERN;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DIGITAL_TV_DVB_PAPR;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DIGITAL_TV_DVB_DATA_SYMBOLS;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DIGITAL_TV_DVB_PLP_PAYLOAD_TYPE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DIGITAL_TV_DVB_PLP_CODE_RATE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DIGITAL_TV_DVB_PLP_MODULATION;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DIGITAL_TV_DVB_PLP_ROTATION;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DIGITAL_TV_DVB_PLP_FEC_TYPE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DIGITAL_TV_DVB_PLP_MAX_BLOCKS;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DIGITAL_TV_DVB_PLP_TI_BLOCKS;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DIGITAL_TV_ATSC_SCAN_SLT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_ATSC_SORT_LIST;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_ATSC_SELECT_PARADE_BY_SERVICE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_NOISE_GEN_CN_STATE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_NOISE_GEN_CN;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MEAS_LOG_STATE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MEAS_LOG_DISP_PARAM;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MEAS_LOG_SPAN_MAN;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MEAS_LOG_SPAN_AUTO;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MEAS_LOG_GPS_PORT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MEAS_LOG_GPS_STATE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MEAS_LOG_GPS_CONNECTION_STATE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MEAS_LOG_GPS_HDOP;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MEAS_LOG_GPS_SATELLITES;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MEAS_LOG_GPS_VALID_INFO;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MEAS_LOG_GPS_LONGITUDE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MEAS_LOG_GPS_LATITUDE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MEAS_LOG_GPS_ALTITUDE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DIGITAL_TV_MEAS_LOG_GPS_STATUS;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MEAS_LOG_GPS_DEVICE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DIGITAL_TV_MEAS_LOG_GPS_TSMX_ENABLED;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DIGITAL_TV_MEAS_LOG_GPS_TSMX_DEAD_RECKONING;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DIGITAL_TV_MEAS_LOG_GPS_TSMX_PIN_DIRECTION;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DIGITAL_TV_MEAS_LOG_GPS_TSMX_GYROSCOPE_STATUS;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DIGITAL_TV_MEAS_LOG_GPS_TSMX_SPEED_PULSE_STATUS;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DIGITAL_TV_MEAS_LOG_GPS_TSMX_GYROSCOPE_CALIBRATION_STATUS;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DIGITAL_TV_MEAS_LOG_GPS_TSMX_SPEED_PULSE_CALIBRATION_STATUS;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_FREQ_RANGE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_NOTCH_FILTER;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_NOTCH_FILTER_BWIDTH;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_NOTCH_FILTER_FREQ;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_FIC_RETRIEVE_DATA_SET;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_CN_MEAS_STATE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_CN_MEAS_FREQUENCY;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_CN_MEAS_NOISE_BANDWIDTH;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_FIC_SUBCH_SELECT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_GET_DTV_FIC_SUBCH_NUMBER;
extern RsCoreAttribute g_RSETL_ATTR_CATV_GET_DTV_FIC_SERVICE_NUMBER;
extern RsCoreAttribute g_RSETL_ATTR_CATV_GET_DTV_FIC_SERVICE_COMP_NUMBER;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_TRANS_MODE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_AUTO_SUBCH_ORG;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_SUBCH_FIRST_CUNIT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_SUBCH_DATA_RATE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_SUBCH_USE_MPEG;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_SUBCH_PROTECTION_LEVEL;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_CARR_LIM_FREQ_OFFSET;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_SUPP;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_ERR_LOW;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_ERR_UPP;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_IMB;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_PJIT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_QERR;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_SYMB_RATE_OFFSET;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_SNR;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_BBV;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_BVF;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_BVM;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_BBRS;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_BIT_RATE_OFFSET;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_LEVEL;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_PER;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_PERR;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_BER_LDPC;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_BER_BBCH;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_MRLO_LOW;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_MRLO_UPP;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_MPLO_LOW;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_MPLO_UPP;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_MRPL;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_MPPL;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MER_PEAK_RATIO_RMS_LOWER_LIMIT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MER_PEAK_RATIO_RMS_UPPER_LIMIT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MER_PEAK_RATIO_SYSTEM_INFO_RMS_LOWER_LIMIT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MER_PEAK_RATIO_SYSTEM_INFO_RMS_UPPER_LIMIT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MER_FRAME_HEADER_RMS_LOWER_LIMIT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MER_FRAME_HEADER_RMS_UPPER_LIMIT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MER_SYSTEM_INFO_RMS_LOWER_LIMIT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MER_SYSTEM_INFO_RMS_UPPER_LIMIT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MER_AMPLITUDE_NOISE_LOWER_LIMIT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MER_IMAGE_REJECTION_LOWER_LIMIT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MER_PHASE_NOISE_LOWER_LIMIT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_ERPL;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_EPPL;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATSC_LIM_OVERVIEW;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_CNR;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_PILOT_VALUE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_SIGNAL_PILOT_DATA;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_PILOT_AMPL_ERROR;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_ISDBT_MODULATION_ERROR_RATE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_ISDBT_BER_AFTER_RS;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_CARR_LIM_FREQ_OFFSET_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_CARR_LIM_CARR_SUPP_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_ERROR_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_IMB_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_PJIT_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_QERR_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_SYMB_RATE_OFFSET_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_SNR_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_BBV_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_BVF_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_BVM_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_BBRS_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_BROF_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_LEVEL_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_PER_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_PERR_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_BER_LDPC_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_BER_BBCH_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_MRLO_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_MPLO_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_MRPL_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_MPPL_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MER_PEAK_RATIO_RMS_LOWER_LIMIT_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MER_PEAK_RATIO_RMS_UPPER_LIMIT_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MER_PEAK_RATIO_SYSTEM_INFO_RMS_LOWER_LIMIT_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MER_PEAK_RATIO_SYSTEM_INFO_RMS_UPPER_LIMIT_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MER_FRAME_HEADER_RMS_LOWER_LIMIT_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MER_FRAME_HEADER_RMS_UPPER_LIMIT_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MER_SYSTEM_INFO_RMS_LOWER_LIMIT_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MER_SYSTEM_INFO_RMS_UPPER_LIMIT_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MER_AMPLITUDE_NOISE_LOWER_LIMIT_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MER_IMAGE_REJECTION_LOWER_LIMIT_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MER_PHASE_NOISE_LOWER_LIMIT_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_ERPL_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_EPPL_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_ATSC_LIM_OVERVIEW_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_CNR_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_PILOT_VALUE_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_SIGNAL_PILOT_DATA_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_PILOT_AMPL_ERROR_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_ISDBT_MODULATION_ERROR_RATIO_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_ISDBT_MODULATION_ERROR_RATIO_CARRIERS_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_LIM_ISDBT_BER_AFTER_RS_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_SIGNAL_LOCKED;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MPEG_SIGNAL_LOCKED;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_FIC_SYNC_STATUS;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_TPS_MEAS_CONST_SETTING;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_TPS_MEAS_FFT_MODE_SETTING;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_TPS_MEAS_GUARD_INTERVAL_SETTING;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_TPS_MEAS_CODE_RATE_SETTING;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_TPS_MEAS_CODE_RATE_HIGH_PRIOR_SETTING;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_TPS_MEAS_CODE_RATE_LOW_PRIOR_SETTING;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_TPS_MEAS_INTERLEAVER_SETTING;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_TPS_MEAS_DEINTERLEAVER_SETTING;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_APGD_MEAS_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_SPEC;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_ERROR;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_OVER_CARR_FREQ_OFFSET;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_OVER_SRATE_OFFSET;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_OVERVIEW;
extern RsCoreAttribute g_RSETL_ATTR_CATV_GET_DTV_FFT_MODE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_GET_DTV_GUARD_INTERVAL;
extern RsCoreAttribute g_RSETL_ATTR_CATV_GET_DTV_CODE_RATE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_GET_DTV_CODE_RATE_HIGH_PRIORITY;
extern RsCoreAttribute g_RSETL_ATTR_CATV_GET_DTV_CODE_RATE_LOW_PRIORITY;
extern RsCoreAttribute g_RSETL_ATTR_CATV_GET_DTV_INTERLEAVER;
extern RsCoreAttribute g_RSETL_ATTR_CATV_GET_DTV_TRANSMISSION_MODE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_GET_DTV_SIDEBAND_POSITION;
extern RsCoreAttribute g_RSETL_ATTR_CATV_GET_DTV_TIME_DEINTERLEAVER;
extern RsCoreAttribute g_RSETL_ATTR_CATV_GET_DTV_CONTROL_FRAME;
extern RsCoreAttribute g_RSETL_ATTR_CATV_GET_DTV_CELL_ID;
extern RsCoreAttribute g_RSETL_ATTR_CATV_GET_DTV_TPS_RESERVED;
extern RsCoreAttribute g_RSETL_ATTR_CATV_GET_DTV_LENGTH_INDICATOR;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_CONST_VAL;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MERR_IMB;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MERR_QERR;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MERR_CSUP;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MERR_PJIT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MOD_ERRORS;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_CONST;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MER_VS_CAR;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_MER_PHASE_NOISE_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_IQ_IMBALANCE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_GET_DIGITAL_TV_ECHO_PATTERN_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_INGRESS_DIAGRAM_EQUIVALENT_NOISE_BANDWIDTH;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_ISDBT_LAYER_SPECIFIC;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_ISDBT_TMCC_OVERVIEW_SYSTEM_IDENTIFICATION;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_ISDBT_TMCC_OVERVIEW_PARAMETER_SWITCHING_INDICATOR;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_ISDBT_TMCC_OVERVIEW_EMERGENCY_ALARM_BROADCASTING;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_ISDBT_TMCC_OVERVIEW_CURRENT_PARTIAL_RECEPTION;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_ISDBT_TMCC_OVERVIEW_NEXT_PARTIAL_RECEPTION;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_ISDBT_TMCC_OVERVIEW_PHASE_SHIFT_CORRECTION;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_ISDBT_TMCC_OVERVIEW_RESERVED_BITS;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_ISDBT_TMCC_OVERVIEW_MODULATION;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_ISDBT_TMCC_OVERVIEW_CODE_RATE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_ISDBT_TMCC_OVERVIEW_TIME_DEINTERLEAVER;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_ISDBT_TMCC_OVERVIEW_NUMBER_OF_SEGMENTS;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_DVB_PLP_SYNC_STATE_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_DVB_T2_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_L1_BANDWIDTH_EXTENSION_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_L1_GUARD_INTERVAL_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_L1_PILOT_PATTERN_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_L1_TRANSMISSION_SYSTEM_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_L1_T2_VERSION_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_L1_T2_FRAME_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_L1_POST_CONSTELATION_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_L1_POST_SIZE_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_L1_POST_EXTENSION_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_L1_POST_REPETITION_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_L1_POST_CODE_RATE_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_L1_POST_FEC_TYPE_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_L1_PAPR_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_L1_STREAM_TYPE_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_L1_S_BIT_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_L1_ID_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_L1_REGENERATION_FLAG_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_L1_FREQUENCIES_COUNT_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_L1_RF_INDEX_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_L1_CRC_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_L1_RESERVED_BITS_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_L1_POST_SIGNALING_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_ATSC_SYNC_STATE_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_ATSC_OVERVIEW_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_ATSC_OVERVIEW_PROGRESS;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_ATSC_OVERVIEW_TARGET;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_ATSC_ENS_SIG_BIT_RATE_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_ATSC_PAY_PAR_BIT_RATE_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_ATSC_FIC_DECODED_PARADE_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_DTV_ATSC_FIC_ALL_PARADE_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_CATV_TV_MEAS;
extern RsCoreAttribute g_RSETL_ATTR_CATV_TV_CHANNEL;
extern RsCoreAttribute g_RSETL_ATTR_CATV_TV_MOD_STANDARD_TILT_ACTIVATE;
extern RsCoreAttribute g_RSETL_ATTR_CATV_TV_MOD_STANDARD_TILT_DEACTIVATE;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_MEASUREMENT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_SPECTRUM_SELECT_MASK;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_STANDARD;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_CHANNEL_BANDWIDTH;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_DATA_SYSTEM;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_SCA_MODE;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_SCA_FREQUENCY;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_PILOT_DEVIATION_TRESHOLD;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_PILOT_NOISE;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_OUTPUT_SIGNAL;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_OUTPUT_DEEMPHASIS;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_OUTPUT_DEVIATION;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_OUTPUT_CCVS;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_DUT_INPUT_LEVEL;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_DUT_AES_EBU;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_DUT_DEVIATION;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_VERTICAL_SCALING;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_SWEEP_POINTS;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_START_FREQUENCY;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_STOP_FREQUENCY;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_CENTER_FREQUENCY;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_FREQUENCY_SPAN;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_ZOOM;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_FREQ_RESPONSE_TYPE;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_FREQ_RESPONSE_REFERENCE;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_FREQ_RESPONSE_PHASE_RANGE;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_FREQUENCY_RANGE;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_REFERENCE_POSITION;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_CROSSTALK_TYPE;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_CROSSTALK_REFERENCE;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_SN_REFERENCE_DEVIATION;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_SN_WEIGHTING_FILTER;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_REFERENCE_DEVIATION;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_POWER_PEAK_MEASUREMENT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_MPX_POWER_TIME_SPAN;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_MPX_POWER_TIME_SPAN_AUTO;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_MPX_POWER_REF_POSITION;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_MPX_POWER_RANGE;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_MPX_PEAK_DEV_REFERENCE;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_MPX_PEAK_DEV_RANGE;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_MPX_SAMPLES;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_SAMPLE_COUNT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_THD_TOP_LIMIT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_THD_BOTTOM_LIMIT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_DFD_TOP_LIMIT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_DFD_BOTTOM_LIMIT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_SIGNAL_PATH;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_DEEMPHASIS;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_OBW_ADJUST_SETTINGS;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_AGEN_TYPE;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_AGEN_SIGNAL;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_AGEN_CONNECTOR_CONFIG;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_AGEN_AMPLITUDE_DEFINITION;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_AGEN_WAVEFORM;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_AGEN_LEVEL;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_AGEN_FREQUENCY;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_AGEN_FREQUENCY_SPACING;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_AGEN_FREQUENCY_UPPER;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_AGEN_SUBCARRIER_STATE;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_AGEN_SUBCARRIER_DEVIATION;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_AGEN_ALTERNATE_CHANNEL;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_AGEN_DUT_PREEMPHASIS;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_AGEN_DUT_DEVIATION;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_OVERVIEW_LEVEL_LIMIT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_OVERVIEW_CF_OFFSET_LIMIT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_OVERVIEW_AM_MODULATION_LIMIT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_OVERVIEW_MPX_DEVIATION_LIMIT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_OVERVIEW_PILOT_LIMIT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_OVERVIEW_RDS_LIMIT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_OVERVIEW_DARC_LIMIT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_OVERVIEW_SCA_LIMIT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_AUDIO_SN_LIMIT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_AUDIO_THD_LIMIT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_AUDIO_DFD_LIMIT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_MPX_POW_LIMIT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_MPX_PEAK_LIMIT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_MPX_DEVIATION_LIMIT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_MPX_DEVIATION_LIMIT_RATIO;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_OBW_UPPER_LIMIT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_MP_DETECTION_LIMIT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_DFD_UNIT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_THD_UNIT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_OVERVIEW_LEVEL_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_OVERVIEW_CF_OFFSET_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_OVERVIEW_AM_MODULATION_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_OVERVIEW_MPX_DEVIATION_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_OVERVIEW_PILOT_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_OVERVIEW_RDS_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_OVERVIEW_DARC_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_OVERVIEW_SCA_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_AUDIO_SCOPE_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_SPECTRUM_RESULT_SINAD;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_SPECTRUM_RESULT_THD;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_SPECTRUM_RESULT_MOD_FREQ;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_SPECTRUM_RESULT_SC_FREQ_OFFSET;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_POWER_PEAK_CURRENT_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_POWER_PEAK_LIMIT_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_MPX_DEVIATION_VIOLATION_RATIO_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_MPX_DEVIATION_VIOLATION_SAMPLES_VIOLATING_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_MPX_DEVIATION_VIOLATION_SAMPLES_TOTAL_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_MPX_DEVIATION_RAW_VIOLATION_SAMPLES_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_MULTIPATH_DETECTION_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_RDS_RESULT_SYNC;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_RDS_RESULT_PID;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_RDS_RESULT_NAME;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_RDS_RESULT_ECC;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_RDS_RESULT_COUNTRY;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_RDS_RESULT_FLAG;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_RDS_RESULT_PTYPE;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_RDS_RESULT_DID;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_RDS_RESULT_DATE_TIME;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_OBW_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_FREQ_RESPONSE_RESULT_AMPLIITUDE;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_FREQ_RESPONSE_RESULT_PHASE;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_FREQ_RESPONSE_RESULT_FREQUENCY;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_CROSSTALK_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_SN_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_THD_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_DFD_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_OVERVIEW_LEVEL_LIMIT_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_OVERVIEW_CF_OFFSET_LIMIT_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_OVERVIEW_AM_MODULATION_LIMIT_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_OVERVIEW_MPX_DEVIATION_LIMIT_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_OVERVIEW_PILOT_LIMIT_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_OVERVIEW_RDS_LIMIT_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_OVERVIEW_DARC_LIMIT_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_OVERVIEW_SCA_LIMIT_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_MPX_POW_PEAK_LIMIT_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_OBW_UPPER_LIMIT_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_MP_DETECTION_LIMIT_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_AUDIO_SN_LIMIT_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_AUDIO_THD_LIMIT_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_RADIO_AUDIO_DFD_LIMIT_RESULT;
extern RsCoreAttribute g_RSETL_ATTR_TS_GENERATOR_RECORDER_MODE;
extern RsCoreAttribute g_RSETL_ATTR_TS_GENERATOR_RECORDER_STATUS;
extern RsCoreAttribute g_RSETL_ATTR_TS_GENERATOR_SELECT_FILE;
extern RsCoreAttribute g_RSETL_ATTR_TS_GENERATOR_TIMING_DATA_RATE;
extern RsCoreAttribute g_RSETL_ATTR_TS_GENERATOR_TIMING_NULLPACKET_STUFFING;
extern RsCoreAttribute g_RSETL_ATTR_TS_GENERATOR_TIMING_PLAY_WINDOW_START;
extern RsCoreAttribute g_RSETL_ATTR_TS_GENERATOR_TIMING_PLAY_WINDOW_STOP;
extern RsCoreAttribute g_RSETL_ATTR_TS_GENERATOR_TIMING_PLAY_WINDOW_POSITION;
extern RsCoreAttribute g_RSETL_ATTR_TS_GENERATOR_TIMING_PCR_JITTER;
extern RsCoreAttribute g_RSETL_ATTR_TS_GENERATOR_TIMING_PCR_JITTER_WAVEFORM;
extern RsCoreAttribute g_RSETL_ATTR_TS_GENERATOR_TIMING_PCR_JITTER_AMPLITUDE;
extern RsCoreAttribute g_RSETL_ATTR_TS_GENERATOR_TIMING_PCR_JITTER_FREQUENCY;
extern RsCoreAttribute g_RSETL_ATTR_TS_GENERATOR_SEAMLESS_LOOP_CONTINUITY_COUNTER;
extern RsCoreAttribute g_RSETL_ATTR_TS_GENERATOR_SEAMLESS_LOOP_PCR;
extern RsCoreAttribute g_RSETL_ATTR_TS_GENERATOR_SEAMLESS_LOOP_TDT_TOT;
extern RsCoreAttribute g_RSETL_ATTR_TS_GENERATOR_INTERFACE_PACKET_LENGTH;
extern RsCoreAttribute g_RSETL_ATTR_TS_GENERATOR_INTERFACE_SERIAL_OUTPUT;
extern RsCoreAttribute g_RSETL_ATTR_TS_RECORDER_INPUT;
extern RsCoreAttribute g_RSETL_ATTR_TS_RECORDER_FILE_SIZE;
extern RsCoreAttribute g_RSETL_ATTR_TS_RECORDER_FILE_NAME;
extern RsCoreAttribute g_RSETL_ATTR_ID_QUERY_RESPONSE;

/*****************************************************************************
 *- Repeated Capabilities Table --------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreRepCap rsetl_RsCoreRepCapTable[];
extern ViInt32 rsetl_RsCoreRepCapTableCount;

/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/
extern RsCoreAttributePtr rsetl_RsCoreAttributeList[];
extern ViInt32 rsetl_RsCoreAttributeListLength;

/****************************************************************************
 *---------------------------- End Include File ----------------------------*
 ****************************************************************************/
#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif
#endif /* __RSETL_ATTRIBUTES_HEADER */
